Fork me on Gitee

dubbo 多版本注册问题

发现2.7.5和2.7.6 如果一个接口有两个实现类,尽管version或者group不同,只能注册其中一个服务


解决方案:


使用配置文件:

<dubbo:service ref="userService" interface="cn.coreqi.service.UserService" version="1.0.0"/>

    <bean id="userService" class="cn.coreqi.service.impl.UserServiceImpl"/>

    <dubbo:service ref="userService2" interface="cn.coreqi.service.UserService" version="2.0.0"/>

    <bean id="userService2" class="cn.coreqi.service.impl.UserServiceImpl2"/>
posted @ 2020-04-30 16:11  ---dgw博客  阅读(...)  评论(...编辑  收藏